# Parse file path into useful components

Source: `R/radiant.R`
`parse_path.Rd`

Parse file path into useful components

    parse_path(path, chr = "", pdir = getwd(), mess = TRUE)

## Arguments

path

  Path to be parsed

chr

  Character to wrap around path for display

pdir

  Project directory if available

mess

  Print messages if Dropbox or Google Drive not found

## Details

Parse file path into useful components (i.e., file name, file extension, relative path, etc.)

## Examples

    list.files(".", full.names = TRUE)[1] %>% parse_path()
    #> $path
    #> [1] "/Users/vnijs/gh/radiant.data/docs/reference/Rplot001.png"
    #>
    #> $rpath
    #> Rplot001.png
    #>
    #> $filename
    #> [1] "Rplot001.png"
    #>
    #> $fext
    #> [1] "png"
    #>
    #> $objname
    #> [1] "Rplot001"
    #>